Issue1470

classification
Title: os.mkdir Errno difference from cpython
Type: behaviour Severity: normal
Components: Library Versions: 2.5.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: pjenvey Nosy List: fwierzbicki, gaddo, pjenvey, zyasoft
Priority: Keywords:

Created on 2009-09-14.21:06:33 by gaddo, last changed 2009-10-27.23:56:08 by pjenvey.

Messages
msg5168 (view) Author: (gaddo) Date: 2009-09-14.21:06:33
the errno returned while making a non existent
directory is 2 for cpython and 0 for jython
this upset error handling.

Python 2.5.4 (r254:67916, Feb 17 2009, 20:16:45) 
[GCC 4.3.3] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import os
>>> os.mkdir('e/f')
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
OSError: [Errno 2] No such file or directory: 'e/f'
>>> 



Jython 2.5.0 (Release_2_5_0:6476, Jun 16 2009, 13:33:26) 
[OpenJDK Client VM (Sun Microsystems Inc.)] on java1.6.0_0
Type "help", "copyright", "credits" or "license" for more information.
>>> import os
>>> os.mkdir('e/f')
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/home/gaddo/jython/Lib/os.py", line 309, in mkdir
    raise OSError(err, msg, path)
OSError: [Errno 0] couldn't make directory: 'e/f'
>>>
msg5169 (view) Author: Jim Baker (zyasoft) Date: 2009-09-14.21:10:49
Not a blocker IMHO, but we should take care of it for RC3
msg5279 (view) Author: Philip Jenvey (pjenvey) Date: 2009-10-27.23:56:08
fixed in r6920
History
Date User Action Args
2009-10-27 23:56:08pjenveysetstatus: open -> closed
resolution: fixed
messages: + msg5279
2009-10-27 22:36:59pjenveysetassignee: pjenvey
2009-09-14 21:10:49zyasoftsetnosy: + fwierzbicki, pjenvey, zyasoft
messages: + msg5169
2009-09-14 21:06:33gaddocreate